{ instancesFunctions }:
let
  inherit (instancesFunctions)
    domain0
    servicePath
    sslPath
    sopsPath
    ;

  glanceLabel = "Glance";
  glanceName = "glance";
  glanceSubdomain = "dashboard";
in
{
  label = glanceLabel;
  name = glanceName;
  email = {
    address0 = "noreply@${domain0}";
  };
  sops = {
    path0 = "${sopsPath}/${glanceName}";
  };
  subdomain = glanceSubdomain;
  paths = {
    path0 = "${servicePath}/${glanceLabel}";
  };
  ports = {
    port0 = 3434;
  };
  ssl = {
    cert = "${sslPath}/${glanceSubdomain}.${domain0}/fullchain.pem";
    key = "${sslPath}/${glanceSubdomain}.${domain0}/key.pem";
  };
}
